- Main Page
- Classes
- Files
- Directories
- Examples

- File List
- File Members

Classes | Functions

# fbxcharacter.h File Reference

`#include <fbxsdk/fbxsdk_def.h>`
`#include <fbxsdk/core/base/fbxstring.h>`
`#include <fbxsdk/core/base/fbxerror.h>`
`#include <fbxsdk/core/math/fbxvector4.h>`
`#include <fbxsdk/core/math/fbxtransforms.h>`
`#include <fbxsdk/scene/fbxgroupname.h>`
`#include <fbxsdk/scene/constraint/fbxconstraint.h>`
`#include <fbxsdk/fbxsdk_nsbegin.h>`
`#include <fbxsdk/fbxsdk_nsend.h>`

Go to the source code of this file.

## Classes
class | FbxCharacterLink
| This class represents a link between a given FBX node and the associated node in the character hierarchy. More...
class | FbxCharacter
| A Character is a person or animal with pre-defined skeleton system. More...
## Functions
EFbxType | FbxTypeOf (const FbxCharacter::EOffAutoUser &)
EFbxType | FbxTypeOf (const FbxCharacter::EAutoUser &)
EFbxType | FbxTypeOf (const FbxCharacter::EPostureMode &)
EFbxType | FbxTypeOf (const FbxCharacter::EFloorPivot &)
EFbxType | FbxTypeOf (const FbxCharacter::ERollExtractionMode &)
EFbxType | FbxTypeOf (const FbxCharacter::EHipsTranslationMode &)
EFbxType | FbxTypeOf (const FbxCharacter::EFootContactType &)
EFbxType | FbxTypeOf (const FbxCharacter::EHandContactType &)
EFbxType | FbxTypeOf (const FbxCharacter::EFingerContactMode &)
EFbxType | FbxTypeOf (const FbxCharacter::EContactBehaviour &)

## Detailed Description

Definition in file fbxcharacter.h.

## Function Documentation

EFbxType FbxTypeOf | ( | const FbxCharacter::EOffAutoUser & |  | ) | `[inline]`

Search for all occurrences

Definition at line 845 of file fbxcharacter.h.

    { return eFbxEnum; }

EFbxType FbxTypeOf | ( | const FbxCharacter::EAutoUser & |  | ) | `[inline]`

Search for all occurrences

Definition at line 846 of file fbxcharacter.h.

    { return eFbxEnum; }

EFbxType FbxTypeOf | ( | const FbxCharacter::EPostureMode & |  | ) | `[inline]`

Search for all occurrences

Definition at line 847 of file fbxcharacter.h.

    { return eFbxEnum; }

EFbxType FbxTypeOf | ( | const FbxCharacter::EFloorPivot & |  | ) | `[inline]`

Search for all occurrences

Definition at line 848 of file fbxcharacter.h.

    { return eFbxEnum; }

EFbxType FbxTypeOf | ( | const FbxCharacter::ERollExtractionMode & |  | ) | `[inline]`

Search for all occurrences

Definition at line 849 of file fbxcharacter.h.

    { return eFbxEnum; }

EFbxType FbxTypeOf | ( | const FbxCharacter::EHipsTranslationMode & |  | ) | `[inline]`

Search for all occurrences

Definition at line 850 of file fbxcharacter.h.

    { return eFbxEnum; }

EFbxType FbxTypeOf | ( | const FbxCharacter::EFootContactType & |  | ) | `[inline]`

Search for all occurrences

Definition at line 851 of file fbxcharacter.h.

    { return eFbxEnum; }

EFbxType FbxTypeOf | ( | const FbxCharacter::EHandContactType & |  | ) | `[inline]`

Search for all occurrences

Definition at line 852 of file fbxcharacter.h.

    { return eFbxEnum; }

EFbxType FbxTypeOf | ( | const FbxCharacter::EFingerContactMode & |  | ) | `[inline]`

Search for all occurrences

Definition at line 853 of file fbxcharacter.h.

    { return eFbxEnum; }

EFbxType FbxTypeOf | ( | const FbxCharacter::EContactBehaviour & |  | ) | `[inline]`

Search for all occurrences

Definition at line 854 of file fbxcharacter.h.

    { return eFbxEnum; }